﻿@model SYM.DataAccessLayer.mountain

@{
    ViewBag.Title = "Route - Add new topos";
    Layout = null;
}

<div class="portlet-body form">
    <form id="formModal" class="form-horizontal" role="form" action='@Url.Action("Create", "Route" )' method="post">
        <div class="form-body">
            <div class="form-group">
                <label class="control-label col-md-2">Nome Itinineario </label>
                <div class="col-md-4">
                    @Html.TextBox("route_name", "", new { @id = "mntn_name", @class = "form-control", required = "required", @placeholder = "ex. via normale / cresta Sud / sentiero Attrezzato..." })
                </div>
                <!--/span-->
            </div>
            <div class="form-group">
                <label class="control-label col-md-2">Region </label>
                <input type="hidden" id="routeCountry" value="@Model.ass_mountainregion.First().country_id">
                <div class="col-md-4">
                    <select id="routeRegion" name="routeRegion" class="form-control select2me">
                        <option value="@Model.ass_mountainregion.First().region_id" selected="selected">@Model.ass_mountainregion.First().region_name</option>
                    </select>
                </div>
                <!--/span-->
                <label class="control-label col-md-2">Mountain</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(model => model.mntn_name, new { @id = "mntn_name", @class = "form-control", @readonly = "readonly" })
                    <input type="hidden" id="routeMntn" name="routeMntn" value="@Model.id">
                </div>
                <!--/span-->
            </div>
            <div class="form-group">
                <label class="control-label col-md-2">Località Partenza</label>
                <div class="col-md-4">
                    <select id="routeCity" name="routeCity" class="form-control select2">
                        <option value=""></option>
                    </select>
                </div>
                <label class="control-label col-md-2">Activity</label>
                <div class="col-md-4">
                    <select name="routeActivity" class="form-control select2me">
                        <optgroup label="Alpinismo / Trekking">
                            <option value="6">Trekking</option>
                            @*<option value="14">Sentiero e/o traccia segnato</option>
                            <option value="16">Sentiero attrezzato</option>*@
                            <option value="7">Via Ferrata</option>
                            <option value="17">Via su Roccia</option>
                            <option value="12">Ghiaccio e Misto</option>
                            <option value="18">Traccia su ghiacciaio</option>
                        </optgroup>
                        <optgroup label="Free Climbing">
                            <option value="3">Boulder</option>
                            <option value="4">Falesia</option>
                            <option value="5">Via lunga / multipitch</option>
                        </optgroup>
                        <optgroup label="Snow & Ice">
                            <option value="13">Cascate di Ghiaccio</option>
                            <option value="9">Sci Alpinismo</option>
                            <option value="10">Sci di Fondo</option>
                            <option value="11">Ciaspolate</option>
                        </optgroup>
                    </select>
                </div>
            </div>
            <div class="form-group">         
                <label class="control-label col-md-2">Difficulty</label>
                <div class="col-md-4">
                    <input class="form-control" id="difficulty_grade" name="difficulty_grade" value="" type="text">
                </div>
                <label class="control-label col-md-2">Esposizione</label>
                <div class="col-md-4">
                    <select name="route_facing" class="form-control select2me" multiple="multiple">
                        <option value="N">Nord</option>
                        <option value="NW">Nord-Ovest</option>
                        <option value="NE">Nord-Est</option>
                        <option value="W">Ovest</option>
                        <option value="E">Est</option>
                        <option value="S">Sud</option>
                        <option value="SW">Sud-Ovest</option>
                        <option value="SE">Sud-Est</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-2">Max Altitud.</label>
                <div class="col-md-4">
                    @Html.TextBox("route_altitude", @Model.mntn_altitude, new { @class = "form-control", placeholder = "ex. 1000 m.", type = "number" })
                </div>
                <label class="control-label col-md-2">Lunghezza/Dislivello</label>
                <div class="col-md-2">
                    @Html.TextBox("route_length", "0", new { @class = "form-control", placeholder = "Length...", type = "number" })
                </div>
                <div class="col-md-2">
                    @Html.TextBox("route_height", "0", new { @class = "form-control", placeholder = "Height...", type = "number" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-2 control-label">Website link</label>
                <div class="col-md-10 input-icon">
                    <i class="fa fa-globe"></i>
                    <input type="url" name="wi_url" class="form-control" placeholder="Insert page url eg. http://website.com/topos.html">
                </div>
            </div>
        </div>
        <input type="hidden" name="route" value="@Model.id">
    </form>
</div>

<script type="text/javascript">

    //Initialize Select DropDown
    $('.select2me').select2({
        allowClear: true,
        width: null,
        placeholder: ""
    });

    MyApp.Select2LookupSym('#routeCity', '/api/autocomplete/GetCity', '#routeCountry', '#routeRegion', 'City...');
    MyApp.Select2LookupSym('#routeRegion', '/api/autocomplete/GetRegion', '#routeCountry', '#routeRegion', 'Region...');

    $('.modal-title').html("@ViewBag.Title");

</script>
